Bug 53979 - Apache 1.3.20-15 terminates after 7 killall -USR1 httpd calls
Apache 1.3.20-15 terminates after 7 killall -USR1 httpd calls
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: apache (Show other bugs)
1.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-24 17:35 EDT by ctolley
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-24 17:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ctolley 2001-09-24 17:35:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
changed logrotation from:

/var/log/httpd/access_log {
    missingok
    postrotate
        /usr/bin/killall -HUP httpd 2> /dev/null || true
    endscript
}

/var/log/httpd/agent_log {
    missingok
    postrotate
        /usr/bin/killall -HUP httpd 2> /dev/null || true
    endscript
}

/var/log/httpd/error_log {
    missingok
    postrotate
        /usr/bin/killall -HUP httpd 2> /dev/null || true
    endscript
}

/var/log/httpd/referer_log {
    missingok
    postrotate
        /usr/bin/killall -HUP httpd 2> /dev/null || true
    endscript
}

to:

/var/log/httpd/*log {
    daily
    rotate 2
    missingok
    postrotate
        /usr/bin/killall -USR1 httpd
    endscript
    compress
}

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/httpd restart
2. for i in 1 2 3 4 5 6 7 8 9 10;do echo -n $i":";killall -USR1 
httpd;echo;sleep 5;done
3. After the 7th killall, "8:httpd: no process killed", and a ps auxf 
shows no httpd processes running.	

Actual Results:  I've vaired the sleep value from 5 to 30 with the same 
results.  I even wondered if it was that the server was taking no traffic, 
so I simulated light load on the server...same results.

Expected Results:  Graceful restart shouldn't terminate the daemon 
completely.  Version 1.3.14 is not succeptable to this, no matter how many 
killall's are issued, nor how fast they are issued.

Additional info:

Error logs only show the last graceful restart being issued:

tail /var/log/error_log

[Mon Sep 24 16:06:47 2001] [notice] SIGUSR1 received.  Doing graceful 
restart

No other error messages.  No core files found on system.
Comment 1 ctolley 2001-10-02 13:45:30 EDT
Closing this.  Downloaded most recent sources of apache SRPMS and associated 
packages, recompiled, and now there are no problems.

Note You need to log in before you can comment on or make changes to this bug.